Skip to main content
POST
/
v1beta
/
organizations
/
{organization_id}
/
invites
/
{invite_id}
/
resend
TypeScript
import { Factify } from "@factify/sdk";

const factify = new Factify({
  bearerAuth: "<YOUR_BEARER_TOKEN_HERE>",
});

async function run() {
  const result = await factify.organizations.resendOrganizationInvite({
    organizationId: "<id>",
    inviteId: "<id>",
    body: {},
  });

  console.log(result);
}

run();
{
  "invite": {
    "created_at": "2023-11-07T05:31:56Z",
    "email": "dwight@dundermifflin.com",
    "expires_at": "2023-11-07T05:31:56Z",
    "id": "inv_01h2xcejqtf2nbrexx3vqjhp41",
    "organization_id": "org_01h2xcejqtf2nbrexx3vqjhp41",
    "sender": {
      "id": "user_01h2xcejqtf2nbrexx3vqjhp41",
      "name": "John Doe",
      "type": "user_account"
    },
    "status": "pending",
    "accepted_at": "2023-11-07T05:31:56Z",
    "accepted_by": {
      "id": "user_01h2xcejqtf2nbrexx3vqjhp41",
      "name": "John Doe",
      "type": "user_account"
    },
    "message": "<string>"
  }
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer , where is your auth token.

Path Parameters

organization_id
string
required

Organization the invitation belongs to. Pattern: org_[0-9a-hjkmnp-tv-z]{26}

Pattern: ^org_[0-9a-hjkmnp-tv-z]{26}$
invite_id
string
required

Invitation ID to resend. Pattern: inv_[0-9a-hjkmnp-tv-z]{26}

Pattern: ^inv_[0-9a-hjkmnp-tv-z]{26}$

Body

application/json

ResendOrganizationInviteRequest identifies an invitation to resend.

Response

Success

ResendOrganizationInviteResponse contains the updated invitation.

invite
invite · object
required

The invitation with updated send count and timestamp.